package com.bytedance.android.livesdk.model;

import com.bytedance.android.live.base.model.ImageModel;
import com.bytedance.android.live.base.model.user.PrivilegeLogExtra;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class BorderInfo {
    @c(LIZ = "icon")
    public ImageModel LIZ;
    @c(LIZ = "level")
    public long LIZIZ;
    @c(LIZ = "source")
    public String LIZJ;
    @c(LIZ = "profile_decoration_ribbon")
    public ImageModel LIZLLL;
    @c(LIZ = "border_privilege_log_extra")
    public PrivilegeLogExtra LJ;
    @c(LIZ = "profile_privilege_log_extra")
    public PrivilegeLogExtra LJFF;

    static {
        Covode.recordClassIndex(18830);
    }

    public int hashCode() {
        int i;
        ImageModel imageModel = this.LIZ;
        if (imageModel != null) {
            i = imageModel.hashCode();
        } else {
            i = 0;
        }
        long j = this.LIZIZ;
        return (i * 31) + ((int) (j ^ (j >>> 32)));
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && getClass() == obj.getClass()) {
            BorderInfo borderInfo = (BorderInfo) obj;
            if (this.LIZIZ != borderInfo.LIZIZ) {
                return false;
            }
            ImageModel imageModel = this.LIZ;
            ImageModel imageModel2 = borderInfo.LIZ;
            if (imageModel != null) {
                return imageModel.equals(imageModel2);
            }
            if (imageModel2 == null) {
                return true;
            }
        }
        return false;
    }
}
